.label {
  font-weight: 700;
  font-size: 18px;
}

.wrapper {
  position: relative;

  &__input {
    outline: none;
    width: 100%;
    max-width: 100%;
    padding: 10px 0;
    background-color: transparent;
    border: 2px solid transparent;
    border-bottom-color: var(--font-primary-color);
    border-radius: 0;
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    color: inherit;
    transition: border-color 0.25s ease-in-out;

    @media (hover: hover) and (pointer: fine) {
      &:hover {
        border-bottom-color: var(--input-border-color);
      }
    }

    &:focus {
      border-bottom-color: var(--input-border-color);
    }

    &::placeholder {
      opacity: 0.5;
    }

    &:-webkit-autofill {
      -webkit-text-fill-color: var(--font-primary-color);
      background-color: transparent !important;
      transition: background-color 5000s ease-in-out 0s, border-bottom-color var(--transition);
    }

    &:-webkit-autofill:focus {
      -webkit-text-fill-color: var(--font-primary-color);
      background-color: transparent !important;
      transition: background-color 5000s ease-in-out 0s, border-bottom-color var(--transition);
    }
  }
}

.pass_view {
  position: absolute;
  cursor: pointer;
  width: 24px;
  height: 24px;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  stroke: var(--font-primary-color);
}

.error {
  overflow: hidden;
  position: relative;
  padding: 7px 0 0 8px;
  font-weight: 400;
  font-size: 1.4rem;
  color: var(--input-border-color);

  &:first-letter {
    text-transform: uppercase;
  }

  &:after {
    content: '';
    position: absolute;
    width: 5px;
    height: 5px;
    left: 0;
    top: 7px;
    background-color: var(--input-border-color);
    border-radius: 50%;
  }
}
